libglom-1.22: Glom::ChoiceValue Class Reference

libglom-1.22 1.21.6

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::ChoiceValue Class Reference

A value of a custom choice, for a field or a layout item. More...

Inheritance diagram for Glom::ChoiceValue:
[legend]
Collaboration diagram for Glom::ChoiceValue:
[legend]

List of all members.

## Public Member Functions
| ChoiceValue ()
| ChoiceValue (const ChoiceValue& src)
| ~ChoiceValue ()
ChoiceValue& | operator= (const ChoiceValue& src)
bool | operator== (const ChoiceValue& src) const
bool | operator!= (const ChoiceValue& src) const
ChoiceValue* | clone () const
void | set_value (const Gnome::Gda::Value&value)
Gnome::Gda::Value | get_value () const
virtual Glib::ustring | get_title_original () const
| This override makes sure that we can generically use ChoiceValue like any other TranslatableItem, assuming that the value is a title, if it is a text value.
bool | is_translatable () const
| Whether the value is of a type that can be translated.

## Detailed Description

A value of a custom choice, for a field or a layout item.

This is translatable, but that only make sense for text fields.

Text-specific methods such as get/set_title() should be ignored.

## Constructor & Destructor Documentation

Glom::ChoiceValue::ChoiceValue | ( |  | ) |

Glom::ChoiceValue::ChoiceValue | ( | const ChoiceValue& | src | ) |

Glom::ChoiceValue::~ChoiceValue | ( |  | ) |

## Member Function Documentation

ChoiceValue* Glom::ChoiceValue::clone | ( |  | ) | const

virtual Glib::ustring Glom::ChoiceValue::get_title_original | ( |  | ) | const`[virtual]`

This override makes sure that we can generically use ChoiceValue like any other TranslatableItem, assuming that the value is a title, if it is a text value.

Reimplemented from Glom::TranslatableItem.

Gnome::Gda::Value Glom::ChoiceValue::get_value | ( |  | ) | const

bool Glom::ChoiceValue::is_translatable | ( |  | ) | const

Whether the value is of a type that can be translated.

This means that it must be a text type.

bool Glom::ChoiceValue::operator!= | ( | const ChoiceValue& | src | ) | const

ChoiceValue& Glom::ChoiceValue::operator= | ( | const ChoiceValue& | src | ) |

bool Glom::ChoiceValue::operator== | ( | const ChoiceValue& | src | ) | const

void Glom::ChoiceValue::set_value | ( | const Gnome::Gda::Value & | value | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/choicevalue.h